"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const cookie_session_1 = __importDefault(require("cookie-session"));
require("./config");
const error_handling_1 = require("./utils/error-handling");
const routes_1 = require("./routes");
const app = (0, express_1.default)();
const port = process.env.RED_CODER_BH_PORT;
app.use(express_1.default.json());
app.use((0, cookie_session_1.default)({ secret: process.env.COOKIE_SESSION }));
app.use(routes_1.router);
app.use(error_handling_1.errorHandle);
app.listen(port, () => {
    console.log(`listen on http://localhost:${port}`);
});
